Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class NodeList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.util.NodeList

    class NodeList
    extends ArrayList

A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

author:
  James Strachan

author:
  Paul King

Constructor Summary
`NodeList()`
`NodeList(Collection collection)`
`NodeList(int size)`

Method Summary
`NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
`NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
`protected static void` | `setMetaClass(Class nodelistClass, MetaClass metaClass)`
`String` | `text()` Returns the text value of all of the elements in the collection.

Methods inherited from class ArrayList
add, add, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, addAll, addAll, iterator, size, toArray, toArray, remove, remove, set, ensureCapacity, listIterator, listIterator, removeAll, retainAll, subList, trimToSize, hashCode, equals, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractList
add, add, get, hashCode, indexOf, clear, equals, lastIndexOf, addAll, iterator, remove, set, listIterator, listIterator, subList, toString, contains, isEmpty, addAll, size, toArray, toArray, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, clear, toString, contains, isEmpty, addAll, iterator, size, toArray, toArray, remove, containsAll, removeAll, retainAll, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NodeList

    public NodeList()

### NodeList

    public NodeList(Collection collection)

### NodeList

    public NodeList(int size)

Method Detail

### getAt

    public NodeList getAt(String name)

  Provides lookup of elements by non-namespaced name.
  param:
    name the name or shortcut key for nodes of interest
  return:
    the nodes of interest which match name

### getAt

    public NodeList getAt(QName name)

  Provides lookup of elements by QName.
  param:
    name the name or shortcut key for nodes of interest
  return:
    the nodes of interest which match name

### setMetaClass

    protected static void setMetaClass(Class nodelistClass, MetaClass metaClass)

### text

    public String text()

  Returns the text value of all of the elements in the collection.
  return:
    the text value of all the elements in the collection or null

Copyright © 2003-2009 The Codehaus. All rights reserved.